Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::Outlet::MetaData Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Outlet::MetaData Struct Reference

Outlet metadata More...

## Public Attributes
string | label
| Outlet label
string | receptacleType
| Receptacle type.
Nameplate | namePlate
| Nameplate information
Rating | rating
| Numerical usage ratings.
boolean | isSwitchable
| `true` if the outlet is switchable
boolean | isLatching
| `true` if the outlet is able to keep its state after power loss
int | maxRelayCycleCnt
| Maximum relay cycle count.
boolean | hasWaveformSupport
| Whether waveform reading is supported on this outlet.
boolean | hasServiceModeSupport
| Whether service mode is supported on this outlet.

## Detailed Description

Outlet metadata

Definition at line 43 of file Outlet.idl.

## Member Data Documentation

## ◆ hasServiceModeSupport

boolean pdumodel::Outlet::MetaData::hasServiceModeSupport

Whether service mode is supported on this outlet.

Definition at line 52 of file Outlet.idl.

## ◆ hasWaveformSupport

boolean pdumodel::Outlet::MetaData::hasWaveformSupport

Whether waveform reading is supported on this outlet.

Definition at line 51 of file Outlet.idl.

## ◆ isLatching

boolean pdumodel::Outlet::MetaData::isLatching

`true` if the outlet is able to keep its state after power loss

Definition at line 49 of file Outlet.idl.

## ◆ isSwitchable

boolean pdumodel::Outlet::MetaData::isSwitchable

`true` if the outlet is switchable

Definition at line 48 of file Outlet.idl.

## ◆ label

string pdumodel::Outlet::MetaData::label

Outlet label

Definition at line 44 of file Outlet.idl.

## ◆ maxRelayCycleCnt

int pdumodel::Outlet::MetaData::maxRelayCycleCnt

Maximum relay cycle count.

Definition at line 50 of file Outlet.idl.

## ◆ namePlate

Nameplate pdumodel::Outlet::MetaData::namePlate

Nameplate information

Definition at line 46 of file Outlet.idl.

## ◆ rating

Rating pdumodel::Outlet::MetaData::rating

Numerical usage ratings.

Definition at line 47 of file Outlet.idl.

## ◆ receptacleType

string pdumodel::Outlet::MetaData::receptacleType

Receptacle type.

Definition at line 45 of file Outlet.idl.

The documentation for this struct was generated from the following file:

- Outlet.idl